## barcode 0.98%2Bdebian

=== Makefile ===

BCCPATH=c:\borland\bcc55

LIBOBJECTS = library.obj ean.obj code128.obj code39.obj i25.obj

EXEOBJECTS = main.obj cmdline.obj $(GETOPT_O)
LINKOBJ = library.obj+ean.obj+code128.obj+code39.obj+i25.obj

HEADER = $(TARGET).h
INCLUDE=-I$(BCCPATH)\include
CC=$(BCCPATH)\bin\bcc32.exe
LINK=$(BCCPATH)\bin\ilink32.exe -L$(BCCPATH)\lib
DEFINES = -DNO_LIBPAPER -DNO_GETOPT -D__USELOCALES__
LINKLIB=$(BCCPATH)\bin\tlib.exe /C

all: $(LIBOBJECTS)

.c.obj:
	$(CC) -y -c -o..\$*.obj $(INCLUDE) $(DEFINES) $<

## barcode 0.94-1

=== debian/changelog ===
barcode (0.94-1) unstable; urgency=low

  * New upstream version 0.94

 -- Jim Westveer <jwest@netnw.com>  Tue,   2 Sep 1999 19:00:00 -0700

barcode (0.93-1) unstable; urgency=low

  * New upstream version 0.93

 -- Jim Westveer <jwest@netnw.com>  Mon,  27 Sep 1999 19:05:11 -0700

barcode (0.92-2) unstable; urgency=low

  * Changed line 434 of main.c fixixing xmargin Closes: #45112 

 -- Jim Westveer <jwest@netnw.com>  Mon,  19 Sep 1999 19:05:11 -0700

barcode (0.92-1) unstable; urgency=low

  * new upstream version 
  * libbarcode.a installs correctly.
  * sources are pristine.
  * gnupg signed 

 -- Jim Westveer <jwest@netnw.com>  Mon,  13 Sep 1999 09:05:11 -0700

barcode (0.91.4-2) unstable; urgency=low

  * Changed Architecture: field to 'any'. Closes: #44992

 -- Jim Westveer <jwest@netnw.com>  Wed,  01 Sep 1999 10:55:11 -0700

barcode (0.91.4-1) unstable; urgency=low

  * Initial release.
  * Only changes were to Makefile.
  * only uploaded to arch i386, as I have not tested on other archs.
  * cant seem to get libbarcode.a to go into /usr/lib ... still working on it.

 -- Jim Westveer <jwest@netnw.com>  Thu,  26 Aug 1999 10:55:11 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: barcode
Section: graphics
Priority: optional
Maintainer: Jim Westveer <jwest@netnw.com>
Standards-Version: 3.0.0

Package: barcode
Architecture: any 
Distribution: unstable
Urgency: low
Depends: ${shlibs:Depends}
Description: Creates barcodes in .ps format
 GNU barcode can create printouts for the conventional
 product packagging standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, code 39
 code 128 (b and c), and interleaved 2 of 5 . Ouput is generated as 
 either Postscript or Encapsulated Postscript.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=barcode

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ` debian/files* core
	-rm -f debian/*substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
	debstd ChangeLog README TODO 
	dpkg-gencontrol -pbarcode
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## barcode 0.98+debian

=== Makefile ===
CFLAGS = -O3 -ffast-math
CC = gcc

all: decode decode2

clean:
	rm -f decode decode2

decode2: decode2.c
	$(CC) $(CFLAGS) -g -Wall decode2.c -o decode2

decode: decode.c
	$(CC) $(CFLAGS) -g -Wall decode.c -o decode

## barcode 0.98-2

=== debian/changelog ===
barcode (0.98-2) unstable; urgency=low

  * Fix Build dependency on libpaperg-dev (Closes: #346400).
  * Fix manpage (Closes: #356932).
  * Fix upstream location (Closes: #279600).
  * Fix copyright (Closes: #290070).
  * Fix spelling (Closes: #363174).

 -- Jim Westveer <jwest@netnw.com>  Wed, 19 Apr 2006 00:15:47 +0100

barcode (0.98-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix manpage (Closes: #356932).

 -- Luk Claes <luk@debian.org>  Wed, 15 Mar 2006 00:15:47 +0100

barcode (0.98-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Change build dependency on libpaperg-dev to libpaper-dev (Closes: #346400)

 -- Luk Claes <luk@debian.org>  Sun, 22 Jan 2006 18:29:32 +0100

barcode (0.98-1) unstable; urgency=low

  * New upstream release. Closes #140931
  * Yes the man page is messy, use info instead.

 -- Jim Westveer (jwest) <jwest@netnw.com>  Thu,  4 Apr 2002 20:04:09 -0800

barcode (0.97-2) unstable; urgency=low

  * Fix spelling error in control file. Closes: #124437

 -- Jim Westveer <jwest@netnw.com>  Sat, 17 Feb 2002 18:14:35 -0800

barcode (0.97-1) unstable; urgency=low

  * New upstream release. Closes: #133401

 -- Jim Westveer <jwest@netnw.com>  Sat, 16 Feb 2002 09:14:35 -0800

barcode (0.95.1-4) stable unstable; urgency=low

  * fixed package error (nop).  Closes: #70200 
  * uploaded to unstable, as stable update was rejected for some stupid reason

 -- Jim Westveer <jwest@netnw.com>  Tue,  13 Nov 2000 08:30:00 -0700

barcode (0.95.1-3) stable; urgency=low

  * fixed package error. .orig.tar.gz was not being uploaded 

 -- Jim Westveer <jwest@netnw.com>  Tue,  22 Aug 2000 08:30:00 -0700

barcode (0.95.1-2) unstable; urgency=low

  * fixed package error. Closes: #69329

 -- Jim Westveer <jwest@netnw.com>  Sun,  22 Jul 2000 07:30:00 -0700

barcode (0.95.1-1) unstable; urgency=low

  * New upstream version 0.95.1
  * patch to 0.95.1 in main.c (stricmp) 
    to fix compile error.
  * 0.95.1 fixes errors found in 0.94 about ymargin1 = y * unit 

 -- Jim Westveer <jwest@netnw.com>  Sun,  28 May 2000 07:30:00 -0700

barcode (0.95-1) unstable; urgency=low

  * New upstream version 0.95

 -- Jim Westveer <jwest@netnw.com>  Sun,  28 May 2000 07:00:00 -0700

=== debian/control ===
Source: barcode
Section: graphics
Priority: optional
Maintainer: Jim Westveer <jwest@netnw.com>
Standards-Version: 3.6.1
Build-Depends: libpaper-dev, debmake

Package: barcode
Architecture: any 
Depends: ${shlibs:Depends}
Description: Creates barcodes in .ps format
 GNU barcode can create printouts for the conventional
 product packaging standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, code 39
 code 128 (b and c), and interleaved 2 of 5 . Output is generated as 
 either Postscript or Encapsulated Postscript.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 build:
 	$(checkdir)
 	./configure --prefix=/usr
-	$(MAKE)
+	$(MAKE) CFLAGS="-O2 -g -Wall -DHAVE_STRCASECMP"
 	touch build
 
 clean:
@@ -15,8 +15,7 @@
 	-rm -f build
 	-$(MAKE) distclean
 	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ` debian/files* core
-	-rm -f debian/*substvars
+	-rm -rf debian/tmp debian/files* core debian/substvars
 
 binary-indep: checkroot build
 	$(checkdir)
@@ -26,12 +25,15 @@
 
 binary-arch: checkroot build
 	$(checkdir)
-	-rm -rf debian/tmp `find debian/* -type d`
+	-rm -rf debian/tmp
 	install -d debian/tmp
 	cd debian/tmp && install -d `cat ../dirs`
 	$(MAKE) install prefix=`pwd`/debian/tmp/usr
-	debstd ChangeLog README TODO 
-	dpkg-gencontrol -pbarcode
+# Must have debmake installed for this to work. Otherwise please copy
+# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
+	debstd ChangeLog README TODO
+	dpkg-gencontrol -isp
+#	dpkg-gencontrol -isp -si
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..

## barcode 0.99

=== debian/changelog ===
barcode (0.99-9) unstable; urgency=medium

  * QA upload.
  * Handle xml special character to fix issue. (Closes: #965942)

 -- Doan Manh <doanvanmanh87@gmail.com>  Tue, 25 Feb 2025 19:38:21 +0700

barcode (0.99-8) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa. 
  * debian/tests/control: Create autopkgtest.

 -- Breno Müller <brenomuller@alunos.utfpr.edu.br>  Wed, 05 Jun 2024 21:22:52 -0300

barcode (0.99-7) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * debian/control: Set package maintainer to Debian QA Group.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Sep 2023 10:53:59 -0400

barcode (0.99-6) unstable; urgency=medium

  * Drop hard dependency on install-info. (Closes: #1013455)

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jun 2022 20:22:11 -0400

barcode (0.99-5) unstable; urgency=medium

  * Rebuild before Ubuntu 22.04 release.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Update package description on SVG support. (Closes: #1004523)

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Jan 2022 21:34:02 -0500

barcode (0.99-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit (from ./configure),
    Repository, Repository-Browse.
  * Fix day-of-week for changelog entries 0.97-2, 0.95.1-4, 0.95.1-2,
    0.94-1, 0.92-2.

  [ Boyuan Yang ]
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v13.
  * debian/patches: Add patch to bring libbarcode support back.
    (Closes: #941997)
  * debian/patches: Add patch to fix FTBFS with GCC 10.
    (Closes: #957035)

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jul 2020 22:47:49 -0400

barcode (0.99-3) unstable; urgency=medium

  * Rebuild for Debian Buster.
  * debian/barcode.1: Add a Debian-specific man page and redirect users
    onto upstream-provided info page. (Closes: #915539)
  * debian/control: Also suggests info package for info page reading.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Dec 2018 19:07:47 -0500

barcode (0.99-2) unstable; urgency=medium

  * debian/control:
    + Use debhelper-compat (= 11) and remove old debian/compat file.
    + Update package description and remove information about
      providing libraries. (Closes: #914851)
    + R³: Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Dec 2018 09:44:01 -0500

barcode (0.99-1) unstable; urgency=medium

  * Take over maintenance of the package (ITS).
    Closes: #910102.
  * New upstream relesae 0.99.
  * debian: Apply "wrap-and-sort -abst".
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Bump debhelper compat to v11.
    + Update maintainer field accordingly.
    + Add Vcs-* fields and point to git repo under Salsa debian group.
  * debian/rules:
    + Use dh syntax and dh_missing --fail-missing.
    + This should also closes: #902329 for cross-compiling FTCBFS.
  * debian/patches: Refresh patches.
    + Drop 02-margin.patch, its origin is unclear and is causing
      problems. Hopefully closes: #169783.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Oct 2018 16:29:02 -0400

barcode (0.98+debian-9.1) unstable; urgency=medium

  * Non-maintainer upload
  * build with -fPIC (Closes: #708561)

 -- Hilko Bengen <bengen@debian.org>  Mon, 20 Oct 2014 11:04:37 +0200

barcode (0.98+debian-9) unstable; urgency=low

  * New maintainer. (Closes: #540584: O: barcode -- Utility and library
    for barcode generation)
  * Updated standards-version to 3.8.4
  * Added README.source

 -- Matti Pöllä <mpo@iki.fi>  Tue, 09 Mar 2010 23:22:36 +0200

barcode (0.98+debian-8) unstable; urgency=low

  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Aug 2009 01:25:50 +0200

barcode (0.98+debian-7) unstable; urgency=low

  * Correcting indenting in copyright file.
  * Updatingto debhelper 7.
  * Updating to standards 3.8.0.
  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating section of the debug package.
  * Updating rules to current state of the art.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards version 3.8.2.
  * Prefxing debhelper files with package name.
  * Updating year in copyright file.
  * Using quilt rather than dpatch.
  * Adding patch to add header to info page (Closes: #528867).

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Jul 2009 00:11:29 +0200

barcode (0.98+debian-6) unstable; urgency=low

  * Reordering compiler flags in configure call.
  * Adding debug package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 17 Apr 2008 00:22:00 +0200

barcode (0.98+debian-5) unstable; urgency=medium

  * Enabling 04-manpage.dpatch.
  * Removing watch file.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Updating package to debhelper 6.
  * Removing config.guess and config.sub from debian branch.

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Apr 2008 14:26:00 +0200

barcode (0.98+debian-4) unstable; urgency=low

  * Bumped to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Dec 2007 08:01:00 +0100

barcode (0.98+debian-3) unstable; urgency=low

  * doc/manpager seems to need gawk to produce proper manpages
    (Closes: #436523).

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Aug 2007 14:30:00 +0200

barcode (0.98+debian-2) unstable; urgency=low

  * Added patch from Chris Howie <crazycomputers@yahoo.com> to fix wrong
    codabar implementation in barcode (Closes: #320908).
  * Added patch from Paolo <oopla@users.sf.net> to fix oversized images
    (Closes: #320908).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Apr 2007 17:15:00 +0200

barcode (0.98+debian-1) unstable; urgency=low



=== debian/control ===
Source: barcode
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gawk,
 libpaper-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.gnu.org/software/barcode/
Vcs-Git: https://salsa.debian.org/debian/barcode.git
Vcs-Browser: https://salsa.debian.org/debian/barcode

Package: barcode
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 info,
Description: Utility for barcode generation
 GNU-barcode can create printouts for the conventional product-tagging
 standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, and several others. Output is
 generated as either Postscript, Encapsulated Postscript, SVG, or PCL.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Circumvent FTBFS caused by -Werror=format-security
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=format-security
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/architecture.mk

%:
	dh $@

execute_after_dh_auto_install:
	$(RM) -f $(CURDIR)/debian/*/usr/lib/*/*.la

=== debian/tests/control ===
Test-Command: export SVGFILE="$AUTOPKGTEST_TMP/bar.svg"; echo "987654321" | barcode -b - -e code128 -o $SVGFILE -S && [ -f $SVGFILE ] && file $SVGFILE | grep "SVG"
Depends: @, file
Restrictions: superficial

## barcode 1.0

=== DESCRIPTION ===
Package: barcode
Version: 1.0
Date: 2011-06-27
Title: Barcode distribution plots
Author: John W. Emerson and Walton A. Green and John A. Hartigan
Maintainer: John W. Emerson <john.emerson@yale.edu>
Depends: grid, lattice
Enhances: gpairs
Description: This package includes the function \code{barcode()}, which
        produces a histogram-like plot of a distribution that shows
        granularity in the data.
License: GPL (>= 2)
Copyright: (C) 2011 John W. Emerson and Walton A. Green and John A.
        Hartigan
Packaged: 2011-06-28 12:26:17 UTC; jay
Repository: CRAN
Date/Publication: 2011-06-28 15:36:15

## barcode 1.1

=== DESCRIPTION ===
Package: barcode
Version: 1.1
Date: 2012-02-19
Title: Barcode distribution plots
Author: John W. Emerson and Walton A. Green and John A. Hartigan
Maintainer: John W. Emerson <john.emerson@yale.edu>
Depends: grid, lattice
Enhances: gpairs
Description: This package includes the function \code{barcode()}, which
        produces a histogram-like plot of a distribution that shows
        granularity in the data.
License: GPL (>= 2)
Copyright: (C) 2012 John W. Emerson and Walton A. Green and John A.
        Hartigan
Packaged: 2012-02-20 14:29:27 UTC; jay
Repository: CRAN
Date/Publication: 2012-02-20 15:08:35

## barcode 1.3.0

=== DESCRIPTION ===
Package: barcode
Version: 1.3.0
Date: 2022-05-09
Title: Render Barcode Distribution Plots
Author: John W. Emerson and Walton A. Green and John A. Hartigan
Maintainer: John W. Emerson <john.emerson@yale.edu>
Depends: grid, lattice
Enhances: gpairs
Description: The function \code{barcode()}
        produces a histogram-like plot of a distribution that shows
        granularity in the data.
License: GPL (>= 2)
Copyright: (C) 2022 John W. Emerson and Walton A. Green and John A.
        Hartigan
Repository: CRAN
NeedsCompilation: no
Packaged: 2022-05-09 17:39:50 UTC; jay
Date/Publication: 2022-05-09 19:30:02 UTC

## barcode 1.4.0

=== DESCRIPTION ===
Package: barcode
Version: 1.4.0
Date: 2025-03-20
Title: Render Barcode Distribution Plots
Authors@R: c(person(given = c("John", "W."),
                    family = "Emerson",
                    role = c("aut", "cre"),
                    email = "john.emerson@yale.edu"),
             person(given = c("Walton", "A."),
                    family = "Green",
                    role = c("aut")),
             person(given = c("John", "A."),
                    family = "Hartigan",
                    role = c("aut")),
             person(given = "Liya",
                    family = "Xiang",
                    role = "ctb"))
Depends: grid, lattice
Enhances: gpairs
Description: The function \code{barcode()}
        produces a histogram-like plot of a distribution that shows
        granularity in the data.
License: GPL (>= 2)
Copyright: (C) 2025 John W. Emerson and Walton A. Green and John A.
        Hartigan
Repository: CRAN
NeedsCompilation: no
Packaged: 2025-03-20 15:34:42 UTC; jay
Author: John W. Emerson [aut, cre],
  Walton A. Green [aut],
  John A. Hartigan [aut],
  Liya Xiang [ctb]
Maintainer: John W. Emerson <john.emerson@yale.edu>
Date/Publication: 2025-03-20 15:50:11 UTC
